| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.IExtendedOptions Interface Reference

ExtendedOptions interface. More...

Inheritance diagram for LicenseSpring.IExtendedOptions:

## Public Member Functions
void | ActivateHardwareKey (HardwareKeyOptions options)
| Sets the hardware key (YubiKey PIV) specific options. Calling this method will result in API requests being signed with a hardware key signature. Checks if the provided PIN is valid. Automatically sets the hardware ID to the YubiKey serial number.
bool | SetCertificateChainFromFile (string filePath, bool throwException)
| Sets the CertificateChain property using a certificate in a file.

## Properties
AirGapCryptographyMode | AirGapCryptographyMode`[get, set]`
| Gets or sets the cryptography mode used for generating AirGap codes. The default value is AirGapCryptographyMode.Auto.
bool | AirgapSkipLocalTimeCheck`[get, set]`
| If set to true local licence check will ignore local time desynchronization. Works only with airgaped licences. Default false.
string | AlternateKey`[get, set]`
| This option can be used if you are planning to deploy self-hosted server.
string | AlternateServiceURL`[get, set]`
| Alternate base URL for LicenseSpring API.
string | BundleCode`[get, set]`
| If a user has a standalone and a bundle licence for the same product the system defaults to using the standalone licence. Provide a value to this property to use a bundle licence instead.
string | CertificateChain`[get, set]`
| Certificate chain used with Floating Server v2. Used for verifying LicenseSpring response signatures.
int | CloudIdRequestTimeout`[get, set]`
| Timeout for cloud instance id requests in milliseconds, default is 200.
bool | CollectNetworkInfo`[get, set]`
| Whether SDK should send host, local IP and MAC to the LicenseSpring platform.
List< KeyValuePair< string, string > > | CustomHeaders`[get]`
| If you need to send aditional custom header values with your requests, add them here.
DeviceIDAlgorithm | DeviceIdAlgorithm`[get, set]`
| Allows to choose device (hardware) id calculation algorithm.
bool | EnableLogging`[get, set]`
| Whether SDK should log licensing activity.
bool | EnableVMDetection`[get, set]`
| Control (enable or disable) detection of Virtual machines.
uint | GracePeriod`[get, set]`
| Grace period in hours, default is 48 hours.
string | HardwareID`[get, set]`
| Hardware ID of the device. This option allows using custom device ID.
HardwareKeyOptions | HardwareKeyOptions`[get]`
| Configured hardware key (YubiKey PIV) options.
bool | IsHardwareKeyEnabled`[get]`
| Is hardware key request signing enabled. Returns true if ActivateHardwareKey(HardwareKeyOptions) method was successfully called.
string | LicenseFilePath`[get, set]`
| Path to local license file.
int | NetworkTimeout`[get, set]`
| Network timeout in seconds, default is 10, 0 means use system defaults.
bool | ProtectOfflineActivation`[get, set]`
| Provides additional protection for offline activation, by default it's enabled.
ProxySettings | Proxy`[get, set]`
| Proxy settings, if not specified then default settings will be used.

## Detailed Description

ExtendedOptions interface.

## Member Function Documentation

## ◆ ActivateHardwareKey()

void LicenseSpring.IExtendedOptions.ActivateHardwareKey | ( | HardwareKeyOptions | options | ) |

Sets the hardware key (YubiKey PIV) specific options. Calling this method will result in API requests being signed with a hardware key signature. Checks if the provided PIN is valid. Automatically sets the hardware ID to the YubiKey serial number.

Parameters

  options | A configured HardwareKeyOptions object.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ SetCertificateChainFromFile()

bool LicenseSpring.IExtendedOptions.SetCertificateChainFromFile | ( | string | filePath,
|  | bool | throwException
| ) |  |

Sets the CertificateChain property using a certificate in a file.

Parameters

  filePath | Path to file with the certificate.
  throwException | If true method will throw an exception, if false it will return false.

Returns
  True if file was successfully read, false otherwise. If throwException is true, method will throw an exception instead of returning false.

Implemented in LicenseSpring.ExtendedOptions.

## Property Documentation

## ◆ AirGapCryptographyMode

AirGapCryptographyMode LicenseSpring.IExtendedOptions.AirGapCryptographyMode
| get set

Gets or sets the cryptography mode used for generating AirGap codes. The default value is AirGapCryptographyMode.Auto.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ AirgapSkipLocalTimeCheck

bool LicenseSpring.IExtendedOptions.AirgapSkipLocalTimeCheck
| get set

If set to true local licence check will ignore local time desynchronization. Works only with airgaped licences. Default false.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ AlternateKey

string LicenseSpring.IExtendedOptions.AlternateKey
| get set

This option can be used if you are planning to deploy self-hosted server.

Contact support for more details.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ AlternateServiceURL

string LicenseSpring.IExtendedOptions.AlternateServiceURL
| get set

Alternate base URL for LicenseSpring API.

This option can be used if you are planning to deploy self-hosted server

Implemented in LicenseSpring.ExtendedOptions.

## ◆ BundleCode

string LicenseSpring.IExtendedOptions.BundleCode
| get set

If a user has a standalone and a bundle licence for the same product the system defaults to using the standalone licence. Provide a value to this property to use a bundle licence instead.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ CertificateChain

string LicenseSpring.IExtendedOptions.CertificateChain
| get set

Certificate chain used with Floating Server v2. Used for verifying LicenseSpring response signatures.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ CloudIdRequestTimeout

int LicenseSpring.IExtendedOptions.CloudIdRequestTimeout
| get set

Timeout for cloud instance id requests in milliseconds, default is 200.

Useful with DeviceIdAlgorithm.AutoId if requests take a long time to complete.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ CollectNetworkInfo

bool LicenseSpring.IExtendedOptions.CollectNetworkInfo
| get set

Whether SDK should send host, local IP and MAC to the LicenseSpring platform.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ CustomHeaders

List<KeyValuePair<string,string> > LicenseSpring.IExtendedOptions.CustomHeaders
| get

If you need to send aditional custom header values with your requests, add them here.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ DeviceIdAlgorithm

DeviceIDAlgorithm LicenseSpring.IExtendedOptions.DeviceIdAlgorithm
| get set

Allows to choose device (hardware) id calculation algorithm.

By default it is DeviceIDAlgorithm.Default for backward compatibility.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ EnableLogging

bool LicenseSpring.IExtendedOptions.EnableLogging
| get set

Whether SDK should log licensing activity.

Attention! It's developers only so make sure it's DISABLED in your release builds

Implemented in LicenseSpring.ExtendedOptions.

## ◆ EnableVMDetection

bool LicenseSpring.IExtendedOptions.EnableVMDetection
| get set

Control (enable or disable) detection of Virtual machines.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ GracePeriod

uint LicenseSpring.IExtendedOptions.GracePeriod
| get set

Grace period in hours, default is 48 hours.

Set 0 to disable grace period. For cloud floating licenses grace period on license check is enabled if more than an hour of floating period remains.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ HardwareID

string LicenseSpring.IExtendedOptions.HardwareID
| get set

Hardware ID of the device. This option allows using custom device ID.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ HardwareKeyOptions

HardwareKeyOptions LicenseSpring.IExtendedOptions.HardwareKeyOptions
| get

Configured hardware key (YubiKey PIV) options.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ IsHardwareKeyEnabled

bool LicenseSpring.IExtendedOptions.IsHardwareKeyEnabled
| get

Is hardware key request signing enabled. Returns true if ActivateHardwareKey(HardwareKeyOptions) method was successfully called.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ LicenseFilePath

string LicenseSpring.IExtendedOptions.LicenseFilePath
| get set

Path to local license file.

>This property is obsolete, use LicenseManager.DataLocation instead or set LicenseFileStorage explicitly.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ NetworkTimeout

int LicenseSpring.IExtendedOptions.NetworkTimeout
| get set

Network timeout in seconds, default is 10, 0 means use system defaults.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ ProtectOfflineActivation

bool LicenseSpring.IExtendedOptions.ProtectOfflineActivation
| get set

Provides additional protection for offline activation, by default it's enabled.

The SDK creates hidden guard file that ensure activation response file will be valid only once and corresponds to the request file.

Implemented in LicenseSpring.ExtendedOptions.

## ◆ Proxy

ProxySettings LicenseSpring.IExtendedOptions.Proxy
| get set

Proxy settings, if not specified then default settings will be used.

Implemented in LicenseSpring.ExtendedOptions.

The documentation for this interface was generated from the following file:

- IExtendedOptions.cs